Subject: bug#9939: Problems with the SIZE description in man pages for <ls> and <du>

From: abdallah clark <[email-masked]>
Date: Thu, 10 Nov 2011 14:07:59 -0600

Gentlemen:

That was already done, to no avail. Has anyone actually looked at that
paragraph on SIZE and thought about what it means?

On Thu, Nov 10, 2011 at 1:18 PM, Bob Proulx <[email-masked]> wrote:
> abdallah clark wrote:
>> Thank you for your suggestions, but not only are you not realizing
>> what it means to be a newbie, you have also missed the point of my
>> communication. Not only patience but also the consideration of others
>> new to Linux ought to be in play.
>> ...
>> It is not my job to do more than report bugs or other problems, as
>> the man pages indicate.
>
> I am compelled by this to write that you are also failing to realize
> what is is like to share work on a community project.  This is not a
> job or any of us.  We gather together in a shared hope of improving
> the world by the shared effort of producing free software.  The result
> is donated to the community.
>
> Think of it this way.  There are several people working in the kitchen
> preparing meals.  These meals are set out on the table for people to
> eat.  Someone eats the meal.  They think, there isn't enough spice in
> this dish.  They complain to the volunteers cooking, "Hey, there isn't
> enough spice."  The cooks say, there are thousands of people eating
> the food and some of them need a low spice content.  If you like more
> spice please feel free to add some.  Or feel free to come into the
> kitchen and help us prepare a good tasting meal that will be good for
> everyone.  But please remember that some people can't tolerate a lot
> of spice.  But then you say, it is not my job to cook.  It is only my
> job to submit feedback.  As cooks you should consider that people want
> more spice.
>
> Think about that and think about how you will react if you are one of
> the cooks in the kitchen?  What would you do in that case.  You are
> volunteering your time to cook.  You are providing this service free
> and donating the result.  Would you think, "No one is helping.  Why am
> I doing this?  Why am I donating time and effort and resources?  I
> should stop cooking."
>
>> If you cannot clarify something that is already written and cannot
>> refer me to any material, anywhere that will clarify what the SIZE
>> paragraph is saying, then please do not attempt to assign to me the
>> task of rewriting the SIZE paragraph or any other part of the <man ls>
>> material. That is a task for an intermediate or advanced user, not a
>> newbie.
>
> Do you ride a bicycle?  If so did you learn from a book?  Or did
> someone teach you?  There are some tasks that can be learned from
> written documentation.  But there are some things that are much better
> learned from a teacher.  Riding a bicycle is one of those tasks that
> is better learned from a teacher than from a book.  Operating a
> bicycle would be really scary to try to do if you could only learn
> from a book.  It just isn't possible to sufficiently cover everything
> that you need to know all in one place.  No matter how much someone
> were to complain about it.
>
> Operating a computer operating system is not completely different.
> Some things can be learned from a book.  Perhaps most of it.  But
> different people learn things in different ways.  Sometimes people
> will learn better from a human teacher than from a written document.
>
> Perhaps you could find a computer users group from which you could get
> face to face help and instruction?  I think you would really get the
> most benefit from someone who could immediately spot what you needed
> and then could react with the right words to help make the points
> clear.
>
> Bob
>